package cn.iocoder.yudao.module.member.dal.mysql.activitypaytable;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.member.dal.dataobject.activitypaytable.ActivityPayTableDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.member.controller.admin.activitypaytable.vo.*;

/**
 * 活动付款 Mapper
 *
 * @author 我是秦俊旗
 */
@Mapper
public interface ActivityPayTableMapper extends BaseMapperX<ActivityPayTableDO> {

    default PageResult<ActivityPayTableDO> selectPage(ActivityPayTablePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ActivityPayTableDO>()
                .eqIfPresent(ActivityPayTableDO::getActivityId, reqVO.getActivityId())
                .eqIfPresent(ActivityPayTableDO::getSerialNumbers, reqVO.getSerialNumbers())
                .eqIfPresent(ActivityPayTableDO::getPrice, reqVO.getPrice())
                .eqIfPresent(ActivityPayTableDO::getUserId, reqVO.getUserId())
                .betweenIfPresent(ActivityPayTableDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ActivityPayTableDO::getId));
    }

}